Folks.BirthdayDetails.change_calendar_event_id – folks Reference Manual

# change_calendar_event_id

## Description:

public virtual async void change_calendar_event_id (string? event_id) throws PropertyError

Change the contact's birthday event ID.

It's preferred to call this rather than setting BirthdayDetails.calendar_event_id directly, as this method gives error notification and will only return once the event has been written to the relevant backing store (or the operation's failed).

## Parameters:

event_id | the new birthday event ID (or `null` to unset the event ID)

## Exceptions:

PropertyError | if setting the birthday event ID failed

## Since:

0.6.2